Author Topic: Plot PLT and Regular plot at same time.  (Read 6169 times)

0 Members and 1 Guest are viewing this topic.

MSTG007

  • Gator
  • Posts: 2601
  • I can't remeber what I already asked! I need help!
Plot PLT and Regular plot at same time.
« on: June 22, 2004, 10:37:23 AM »
Is there a way to plot a drawing to the plotter and to a PLT in one step rather than double stepping.

I didnt know if there was a VB script or LISP I could use to do this.

Thanks for your help
Civil3D 2020

CAB

  • Global Moderator
  • Seagull
  • Posts: 10401
Plot PLT and Regular plot at same time.
« Reply #1 on: June 22, 2004, 11:13:10 AM »
You can save some tine with this. Plot Tabs
But you will have to run it twice.

It could be modified to plot to both. :)

CAB
I've reached the age where the happy hour is a nap. (°¿°)
Windows 10 core i7 4790k 4Ghz 32GB GTX 970
Please support this web site.

AVCAD

  • Guest
Plot PLT and Regular plot at same time.
« Reply #2 on: June 22, 2004, 01:41:23 PM »
Switch the PC3 designation with your plotter PC3
And right under that change it to your paper size.
You can make multiple files for differant paper sizes.
SAVE this in a SCR text file..... PLOT.SCR


Code: [Select]

imageframe
off
-plot
yes

HP-750C.PC3
Custom 1: 42 x 30 in.
Inches
Landscape
no
extents
1:1
Center
yes
SMW.CTB
yes
no
no
no
no
no
yes

imageframe
off
-plot
yes

HP-750C.PC3
Custom 1: 42 x 30 in.
Inches
Landscape
no
extents
1:1
Center
yes
SMW.CTB
yes
no
no
no
yes

no
yes



Let me know if it helps![/quote]

pmvliet

  • Guest
Plot PLT and Regular plot at same time.
« Reply #3 on: June 22, 2004, 02:12:04 PM »
AvCad has a good idea, Just set-up a script to run twice, once for a normal plot and a second time for the plot file creation.

I have created 1-button plotting using this method and some lisp integration so that I don't have to manually load all the various scripts.

Pieter

MSTG007

  • Gator
  • Posts: 2601
  • I can't remeber what I already asked! I need help!
Plot PLT and Regular plot at same time.
« Reply #4 on: June 22, 2004, 02:23:22 PM »
someone showed me this.. but i could nt get it to work

"Something like the following (example only) can be written to do what you want. One for plotting and then another one for plot to file.

(command "-PLOT" "Y" "Layout1" PRINTER PAPSZ "Millimeters" "Landscape"
           "N" "Window" PT1 PT2 "1=1" "0,0" "Y" "Standard.ctb"    "Y" "N"    "N" "N"
           "N" "Y" "N") "



but

is there to get a way to save the PLT file as the TAB NAME instead of date and place it in the same directory as the DWG?

thanks!
Civil3D 2020

AVCAD

  • Guest
Plot PLT and Regular plot at same time.
« Reply #5 on: June 23, 2004, 11:48:55 AM »
if you use the script file above the plot file will be saved in what ever directory the actual drawing file is in.

The file name it uses is easy. It is the "Drawingname-layoutname..plt"

I am not sure why it adds a "." in it but who cares.

Filename example: "COM203-LAYOUT1..plt"

If you go to the Autodesk site you can download a program called Scriptpro

It works awsome with script files. I have used it on 200+ drawings at one time. What it does is:

1. you tell it to open what files
2. tell it what script file to use
3. it runs it on each drawing you told it to. one by one. It works in single drawing mode so you cant do other things while it is running but it is 10x faster then doing it manually.

So run the script and go take a walk..you cant get yelled at cause you are technically working!! Not our fault were smarter then everyone else!! Get some coffee grab a doughnut, sit back and relax while the SCRIPT file does the work for you.

MSTG007

  • Gator
  • Posts: 2601
  • I can't remeber what I already asked! I need help!
Plot PLT and Regular plot at same time.
« Reply #6 on: June 23, 2004, 12:36:06 PM »
WOW... ILL GIVE THAT A TRY... DIDNT KNOW... NOW THE SCRIPT ABOVE NEEDS TO BE A SCRPT... FILE EXTENTION... AND DO A APPLOAD...? RIGHT
Civil3D 2020

MSTG007

  • Gator
  • Posts: 2601
  • I can't remeber what I already asked! I need help!
Plot PLT and Regular plot at same time.
« Reply #7 on: June 23, 2004, 12:38:59 PM »
THIS IS WHAT I GET:




Command: (command "-PLOT" "Y" "Layout1" PRINTER PAPSZ "Millimeters" "Landscape"
(_> "N" "Window" PT1 PT2 "1=1" "0,0" "Y" "Standard.ctb" "Y" "N" "N" "N"
(_> "N" "Y" "N")
-PLOT Detailed plot configuration? [Yes/No] <No>: Y
Enter a layout name or [?] <Model>: Layout1 Regenerating layout.
Regenerating layout.
Regenerating model - caching viewports.
Enter an output device name or [?] <\\PLOT1\Oce 9400>: Restoring cached
viewports.

Command:
Command: Millimeters Unknown command "MILLIMETERS".  Press F1 for help.

Command: Landscape Unknown command "LANDSCAPE".  Press F1 for help.

Command: N Unknown command "N".  Press F1 for help.

Command: Window Unknown command "WINDOW".  Press F1 for help.

Command:
Command:
Command: 1=1 Unknown command "1=1".  Press F1 for help.

Command: 0,0 Unknown command "0,0".  Press F1 for help.

Command: Y Unknown command "Y".  Press F1 for help.

Command: Standard.ctb Unknown command "STANDARD.CTB".  Press F1 for help.

Command: Y Unknown command "Y".  Press F1 for help.

Command: N Unknown command "N".  Press F1 for help.

Command: N Unknown command "N".  Press F1 for help.

Command: N Unknown command "N".  Press F1 for help.

Command: N Unknown command "N".  Press F1 for help.

Command: Y Unknown command "Y".  Press F1 for help.

Command: N Unknown command "N".  Press F1 for help.

Command: nil




THANKS
Civil3D 2020

AVCAD

  • Guest
Plot PLT and Regular plot at same time.
« Reply #8 on: June 24, 2004, 03:36:40 PM »
Code: [Select]
imageframe
off
-plot
yes

HP-750C.PC3
Custom 1: 42 x 30 in.
Inches
Landscape
no
extents
1:1
Center
yes
SMW.CTB
yes
no
no
no
no
no
yes
imageframe
off
-plot
yes

HP-750C.PC3
Custom 1: 42 x 30 in.
Inches
Landscape
no
extents
1:1
Center
yes
SMW.CTB
yes
no
no
no
yes

no
yes



I just checked and there were some mistakes in the code before. The one above should work as long as you make sure you are typing in the requirments for your system. CTB, PC3, PAPER SIZE..ect.

SCRIPTS are very touchy, Each and every space in the code acts like an Enter key stroke. Make sure that when you copy and paste it to you ouw text file (which should be saved as .SCR) that there are no spaces after any on the commands. If there is just get rid of it. Blank lines in the code is ok casue they are suppose to be there.

You dont use APPLOAD either. Use the command SCR I am not sure if they are some but SCR is what I use. I tested this so it does work. I am using 2004.

Quote

Command: (command "-PLOT" "Y" "Layout1" PRINTER PAPSZ "Millimeters" "Landscape"
(_> "N" "Window" PT1 PT2 "1=1" "0,0" "Y" "Standard.ctb" "Y" "N" "N" "N"
(_> "N" "Y" "N")


I dont know what this ^ is. Did you set up a button to run the SCR file? if so it should be more like this:

Code: [Select]

^C^Cscr;"G:/CHI-CUSTOMCAD/SCRIPTS/plot.scr"


Thats a simple version but it works.

Also use the SCR file in Layout space not model space. I left a blank space in the code at the part where it asks what to print (layout name). This way it uses what ever layout tab is current. I only use 1 tab per drawing cause they are aggrivating to deal with. I also make sure everytime I save the drawing before exiting I am in layout space. I dont put LAYOUT1 in the balnk space becasue sometimes people like to change it and it screws up the SCR file. But as long as it is in that space it will print it.

Quote

Enter an output device name or [?] <\\PLOT1\Oce 9400>:


Make sure you are using a PC3 file and not the normal printer. ACAD uses PC3 files all it is a file that holds information it pertaining to that printer its not a big deal.

Plus you can have multiple PC3 files for the same printer with differant settings.

Quote

Command:
Command: Millimeters Unknown command "MILLIMETERS". Press F1 for help.

Command: Landscape Unknown command "LANDSCAPE". Press F1 for help.

Command: N Unknown command "N". Press F1 for help.

Command: Window Unknown command "WINDOW". Press F1 for help.

Command:
Command:
Command: 1=1 Unknown command "1=1". Press F1 for help.

Command: 0,0 Unknown command "0,0". Press F1 for help.

Command: Y Unknown command "Y". Press F1 for help.

Command: Standard.ctb Unknown command "STANDARD.CTB". Press F1 for help.

Command: Y Unknown command "Y". Press F1 for help.

Command: N Unknown command "N". Press F1 for help.

Command: N Unknown command "N". Press F1 for help.

Command: N Unknown command "N". Press F1 for help.

Command: N Unknown command "N". Press F1 for help.

Command: Y Unknown command "Y". Press F1 for help.

Command: N Unknown command "N". Press F1 for help.

Command: nil


You are getting all this becasue the command before this didnt complete correctly. So according to the post your output device is wrong. Wich leads me to believe that you need to setup a PC3 file to use. Try it out.

SCR files help out alot with this stuff. The batch plot utility sucks dont even try it you will give yourself an anurizim. Download the SCRIPTPRO utility from AUTODESK it works great with SCR files.

Let me know, how it works. Oh ya sorry I didnt get back to you yesterday got busy at work and never checked again.

MSTG007

  • Gator
  • Posts: 2601
  • I can't remeber what I already asked! I need help!
Plot PLT and Regular plot at same time.
« Reply #9 on: June 24, 2004, 04:14:54 PM »
lol still no luck! it stops after the imageframe....
Civil3D 2020

MSTG007

  • Gator
  • Posts: 2601
  • I can't remeber what I already asked! I need help!
Plot PLT and Regular plot at same time.
« Reply #10 on: June 24, 2004, 04:29:31 PM »
Here are our plotter settings:





I do have spaces in some of my settings... does that make a difference .. .

Command: scr
SCRIPT
Enter script file name <S:\Projects\0421\dwg\0421SU.scr>: "C:/plot.scr"
Command: imageframe
Enter image frame setting [ON/OFF] <ON>:

Command: off Unknown command "OFF".  Press F1 for help.



my script

imageframe
off
-plot
yes

Oce_HDI.PC3
ARCH_expand_D_(36.00 x 24.00 Inces)
Inches
Landscape
no
extents
1:20
Center
yes
test1.CTB
yes
no
no
no
no
no
yes
imageframe
off
-plot
yes

Oce HDI.PC3  
ARCH expand D (36.00 x 24.00 Inces)
Inches
Landscape
no
extents
1:20
Center
yes
test1.CTB
yes
no
no
no
yes
no
yes
Civil3D 2020

AVCAD

  • Guest
Plot PLT and Regular plot at same time.
« Reply #11 on: June 24, 2004, 05:56:34 PM »
Quote

Command: scr
SCRIPT
Enter script file name <S:\Projects\0421\dwg\0421SU.scr>: "C:/plot.scr"
Command: imageframe
Enter image frame setting [ON/OFF] <ON>:

Command: off Unknown command "OFF". Press F1 for help.


This tells me there is a space after imageframe

CHeck to make sure that there are no spaces after the word "imageframe" as I said before the spaces act like an enter keystroke. so your SCR is running the imageframe command but it is hitting enter and then useing the OFF  option.

Dont use "_" (underscores) for spaces. just type out the papersize as you see it.....ARCH expand D (36.00 X 24.00 Inches)

Same with the Plot device...Oce HDI.pc3

YOur code should look somethign like this:

Code: [Select]
imageframe***
off***
-plot***
yes***
$$$
Oce HDI.PC3***
ARCH expand D (36.00 x 24.00 Inches)***
Inches***
Landscape***
no***
extents***
1:20***
Center***
yes***
test1.CTB***
yes***
no***
no***
no***
no***
no***
yes***
imageframe***
off***
-plot***
yes***
$$$
Oce HDI.PC3***
ARCH expand D (36.00 x 24.00 Inches)***
Inches***
Landscape***
no***
extents***
1:20***
Center***
yes***
test1.CTB***
yes***
no***
no***
no***
yes***
no***
yes***
$$$


Again MAKE SURE THERE ARE NO SPACES AT THE END OF THE COMMAND LINE....I PUT AN *** Where the spaces should not be. I put $$$ where the line should be blank.

Imageframe command obviously does not need to be there that was part of my code. Because I hated having prints come out with that damn borader on them. SO i put it in to make sure the frame was gone on every print.

Again....

$$$ = Blank line (erase the $$$)
*** = NO SPACES (erases these as well)

Let me know if you get it. or ask me more.

also you spelled inches wrong in your code.  :)

Hope it works!!

pmvliet

  • Guest
Plot PLT and Regular plot at same time.
« Reply #12 on: June 24, 2004, 06:39:21 PM »
I will share what I have learned in setting up a new printing procedure at my office. I comment my script because I was getting lost with what it was asking me. If your plotting paperspace the questions are different then plotting modelspace. A tad confusing.

The script for paperspace is:
Quote

;Start of Routine
;Suspend command dialog box
cmddia
0
;Start plotting string
-PLOT
;Detailed plot configuration?
Yes
;Enter a layout name
Layout1
;Enter an output device name
30x42 Bond TryPlot1.pc3
;Enter paper size
ARCH expand E1 (42.00 x 30.00 Inches)
;Enter paper units
Inches
;Enter drawing orientation
Landscape
;Plot upside down?
No
;Enter plot area
Extents
;Enter plot scale
1:1
;Enter plot offset
center
;Plot with plot styles?
Yes
;Enter plot style table name
Realestate default.ctb
;Plot with lineweights? [Yes/No]
Yes
;Scale lineweights with plot scale? [Yes/No]
No
;Plot paper space first? [Yes/No]
No
;Hide paperspace objects? [Yes/No]
No
;Write the plot to a file [Yes/No]
No
;Save changes to page setup [Yes/No]
No
;Proceed with plot [Yes/No]
Yes
;end plotting string
;resume command dialog box
cmddia
1
;End of Routine


The script for modelspace:
Quote

;Start of Routine
;Suspend command dialog box
cmddia
0
;Start plotting string
-PLOT
;Detailed plot configuration?
Yes
;Enter a layout name
Model
;Enter an output device name
30x42 Bond TryPlot2.pc3
;Enter paper size
ARCH expand E1 (42.00 x 30.00 Inches)
;Enter paper units
Inches
;Enter drawing orientation
Landscape
;Plot upside down?
No
;Enter plot area
Limits
;Enter plot scale
Fit
;Enter plot offset
Center
;Plot with plot styles?
Yes
;Enter plot style table name
CCS Full Size.ctb
;Plot with lineweights? [Yes/No]
Yes
;Remove hidden lines? [Yes/No]
No
;Write the plot to a file [Yes/No]
No
;Save changes to model tab? [Yes/No]
no
;Proceed with plot [Yes/No]
yes
;end plotting string
;resume command dialog box
cmddia
1
;End of Routine


The Script for Plot files is different as well as you will have an additional line. I don't have the extra dot problem though. I can post that one as well if you want it...

I load my various plotting scripts via lisp:
Quote

(defun c:x1 ()
(command "script" "i:\\standards\\Retail\\CCity\\Plot\\11x17 TryCopier1.scr")
)
(defun c:x2 ()
(command "script" "i:\\standards\\Retail\\CCity\\Plot\\11x17 TryCopier2.scr")
)
(defun c:x3 ()
(command "script" "i:\\standards\\Retail\\CCity\\Plot\\11x17 TryLaser1.scr")
)
(defun c:x4 ()
(command "script" "i:\\standards\\Retail\\CCity\\Plot\\11x17 TryLaser2.scr")
)
(defun c:x5 ()
(command "script" "i:\\standards\\Retail\\CCity\\Plot\\15x21 Bond Tryplot1.scr")
)
(defun c:x6 ()
(command "script" "i:\\standards\\Retail\\CCity\\Plot\\15x21 Bond Tryplot2.scr")
)
(defun c:x7 ()
(command "script" "i:\\standards\\Retail\\CCity\\Plot\\18x24 Bond Tryplot1.scr")
)
(defun c:x8 ()
(command "script" "i:\\standards\\Retail\\CCity\\Plot\\18x24 Bond Tryplot2.scr")
)
(defun c:x9 ()
(command "script" "i:\\standards\\Retail\\CCity\\Plot\\30x42 Bond Tryplot1.scr")
)
(defun c:x10 ()
(command "script" "i:\\standards\\Retail\\CCity\\Plot\\30x42 Bond Tryplot2.scr")
)
(defun c:x11 ()
(command "script" "i:\\standards\\Retail\\CCity\\Plot\\30x42 Vellum Tryplot2.scr")
)
(defun c:x12 ()
(command "script" "i:\\standards\\Retail\\CCity\\Plot\\30x42 PDF.scr")
)
(defun c:x13 ()
(command "script" "i:\\standards\\Retail\\CCity\\Plot\\30x42 Plot File.scr")
)


This is loaded with a lisp in our menu structure for each client
Quote

;lOAD'S PLOTTING ROUTINES
(load "I:\\STANDARDS\\RETAIL\\CCity\\PLOT\\CircuitCityplot.lsp")


Then in the client menu I have a pull down that the users can select which plotter option they want to plot. I need to add this image later. I also thought of creating a toolbar.

You need all the spaces, PC3's and paper sizes exactly as AutoCad would be reading them or as you see them.

It is a little tedious to set-up, but it is worth it. In my office, if you do 10 single plots throught the day, this probably saves a good 10 minutes. With network lag, operator error of using the wrong colortable or stuff like that.

All of this stuff is kept on the server in one location so maintenance is very simple and if I need to disable it for repairs I just need to rem out the lisp load in the menu or something like that.

Pieter

MSTG007

  • Gator
  • Posts: 2601
  • I can't remeber what I already asked! I need help!
Plot PLT and Regular plot at same time.
« Reply #13 on: June 24, 2004, 07:07:11 PM »
wow.... thank you for sharing... I do have great news... lol the crazy person here

got it working!

so all cheers to you all!

one day ill be smart like you!   just give me some time!
Civil3D 2020

AVCAD

  • Guest
Plot PLT and Regular plot at same time.
« Reply #14 on: June 25, 2004, 11:52:26 AM »
Good to hear!! Hope that Crazy person was you!!

As for load these with Lisp it is very possible and a good Idea but for me I use these scr when I do mass printing so I just use SCRIPTPRO and let it run on a bunch of files at once.

As for PDF scripts..I had one that would do PDF's but for some reason it didnt work all the time so what I do is just make plot files off the files I need and then convert them to PDF's using Viewcompanion pro (great program). ViewCompanion also lets you print plot files which rocks. Pen weight come out more accurate when printing from a PLT file then just printing directly to the printer (atleast in the case of our printer here).

I use the SCR command to load up the scripts if I am printing single drawings.

Gald to hear it all worked!! Good luck and happy CADing!!

MSTG007

  • Gator
  • Posts: 2601
  • I can't remeber what I already asked! I need help!
Plot PLT and Regular plot at same time.
« Reply #15 on: June 25, 2004, 12:06:26 PM »
yup same to you:)  thanks again
Civil3D 2020